<div align="left" style="padding: 10px 0px;">
	<table width="100%">
    	<tr>
        	<td><h5 style="margin-top: 8px;"><i class="fas fa-check"></i> REGISTRADOS</h5></td>
            <td align="right" width="200">
            	<input class="form-control" type="text" placeholder="Búsqueda rápida..." id="buscador" />
            </td>
        </tr>
    </table>
</div>


<?php
$queryEstadisticas = mysqli_query($connect,"SELECT id FROM Asistentes WHERE tratamientos = 'on' ");
$limite = 500;
$posicion = $_GET["pos"];
if($posicion == ""){
	$posicion = 1;
}

$inicia = ($posicion-1)*$limite;
if($posicion == 1){$inicia = $posicion;}

$can_pag = ceil($queryEstadisticas->num_rows / $limite );

$anterior = $_GET["pos"]-1;
if($_GET["pos"] == 1){ $anterior = $_GET["pos"]; }

$siguiente = $_GET["pos"]+1;
if($siguiente > $can_pag ){ $siguiente = $_GET["pos"]; }




?>

<nav aria-label="Page navigation example">
  <ul class="pagination">
    <li class="page-item"><a class="page-link" href="?pg=registrados&pos=<?php echo $anterior; ?>">Anterior</a></li>
    <?php
		for ($i = 1; $i <= $can_pag; $i++) {
			if ($i == $posicion) {
				echo '<li class="page-item active"><a class="page-link" href="">'.$i.'</a></li>';
			}
			else{
				echo '<li class="page-item"><a class="page-link" href="?pg=registrados&pos='.$i.$filtro_pag.'">'.$i.'</a></li>';
			}
		}
	?>
    <li class="page-item"><a class="page-link" href="?pg=registrados&pos=<?php echo $siguiente; ?>">Siguiente</a></li>
  </ul>
</nav>


<div class="table-responsive">
	<table class="table table-bordered table-sm">
		<thead class="thead-dark">
		<tr>
			<th scope="col">#</th>
			<th scope="col">Fecha</th>
            <th scope="col">Nombre</th>
			<th scope="col">País</th>
			<th scope="col">Correo</th>
			<th scope="col">Ciudad</th>
			<th scope="col">Documento</th>
			<th scope="col">Celular</th>
			<th scope="col">Especialidad</th>

			<th scope="col">Tratamientos</th>
			<th scope="col">Acepto</th>
		</tr>
		</thead>

		<tbody id="tabla_lista">
		<?php
			$count = 1;
			if($inicia > 1){ $count = ($posicion-1)*$limite; }
			$query = mysqli_query($connect,"SELECT * FROM Asistentes WHERE tratamientos = 'on' ORDER BY created_at DESC LIMIT ".($inicia-1)." , ".$limite." ");
			while($data = mysqli_fetch_array($query)){

                $txt_pais = '';
                foreach($Lista_pais as $pais){
                    if($pais[0] == $data["pais"] ){
                        $txt_pais = $pais[1];
                    }
                }
                
                $txt_especialidad = '';
                foreach($Lista_Especialidad as $pais){
                     if($pais[0] == $data["especialidad"] ){
                         $txt_especialidad = '<option value="'.$pais[0].'" selected>'.$pais[1].'</option>';
                     }                         
                }
                
				echo '
				<tr>
					<th scope="row">'.$count.'</th>
                    <td>'.$data["created_at"].'</td>
					<td>'.$data["nombre"].' '.$data["apellidos"].'</td>
					<td>'.$txt_pais.'</td>
					<td>'.$data["correo"].'</td>
					<td>'.$data["ciudad"].'</td>
					<td>'.$data["cedula"].'</td>
					<td>'.$data["celular"].'</td>
					<td>'.$txt_especialidad.'</td>
					<td>'.$data["tratamientos"].'</td>
					<td>'.$data["acepto"].'</td>
				</tr>
				';
				$count++;

			}
		?>
		</tbody>
	</table>
</div>

<script>
$(document).ready(function(){
	$("#buscador").on("keyup", function() {
		var value = $(this).val().toLowerCase();
		$("#tabla_lista tr").filter(function() {
		  $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
		});
	});	  
});
</script>

<script src="js/functions.js"></script>